gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecULong

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for unsigned long integer properties.

Synopsis

- newtype ParamSpecULong = ParamSpecULong (ManagedPtr ParamSpecULong)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecULong o) => IsParamSpecULong o
- toParamSpecULong :: (MonadIO m, IsParamSpecULong o) => o -> m ParamSpecULong

# Exported types

newtype ParamSpecULong Source #

Memory-managed wrapper type.

Constructors

ParamSpecULong (ManagedPtr ParamSpecULong) |

#### Instances

Instances details

Eq ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong Methods (==) :: ParamSpecULong -> ParamSpecULong -> Bool Source # (/=) :: ParamSpecULong -> ParamSpecULong -> Bool Source #
BoxedPtr ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong Methods boxedPtrCopy :: ParamSpecULong -> IO ParamSpecULong Source # boxedPtrFree :: ParamSpecULong -> IO () Source #
ManagedPtrNewtype ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong Methods toManagedPtr :: ParamSpecULong -> ManagedPtr ParamSpecULong Source #
TypedObject ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong Methods glibType :: IO GType Source #
HasParentTypes ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong
type ParentTypes ParamSpecULong Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong type ParentTypes ParamSpecULong = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecULong o) => IsParamSpecULong o Source #

Type class for types which can be safely cast to `ParamSpecULong`, for instance with `toParamSpecULong`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecULong o) => IsParamSpecULong o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecULong

toParamSpecULong :: (MonadIO m, IsParamSpecULong o) => o -> m ParamSpecULong Source #

Cast to `ParamSpecULong`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.